#include<stdio.h>
#include<stdlib.h>
#include "com_example_demoactivity_MainActivity.h"
#include <Library/UniMate_Android.h>

JNIEXPORT jlong JNICALL Java_com_example_demoactivity_MainActivity_isConnected
  (JNIEnv *env, jclass cls)
  {
	unsigned long flag;

	
	long ret;
	bool iscon;
	ret = IsConnected(&iscon);
	if(ret != 0)
	{
		return 1;
	}
	else if(!iscon)
	{
		return 1;
	}

 	return 0;
  }